org.apache.flume.client.avro

## Interface ReliableEventReader

- All Superinterfaces:
    AutoCloseable, Closeable, EventReader
  All Known Implementing Classes:
    ReliableSpoolingFileEventReader, ReliableTaildirEventReader

      @InterfaceAudience.Private
      @InterfaceStability.Evolving
      public interface ReliableEventReader
      extends EventReader

  A reliable event reader. Clients must call commit() after each read operation, otherwise the implementation must reset its internal buffers and return the same events as it did previously.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Indicate to the implementation that the previously-returned events have been successfully processed and committed.

    - ### Methods inherited from interface org.apache.flume.client.avro.EventReader

      `close, readEvent, readEvents`

- - ### Method Detail

    - #### commit

          void commit()
                      throws IOException

      Indicate to the implementation that the previously-returned events have been successfully processed and committed.
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.